【求助】Maven 项目启动异常,求助!急!!!

Lukerr 发布于 2015/04/16 17:50
阅读 9K+
收藏 0

[ERROR] Failed to execute goal on project jintai: Could not resolve dependencies for project com.transh:jintai:war:1.0.0: Failed to collect dependencies for [org.rxtx:rxtx🏺2.1.7 (compile), org.activiti:activiti-engine🏺5.10 (compile), org.activiti:activiti-spring🏺5.10 (compile), org.springframework:spring-aop🏺3.0.3.RELEASE (compile), org.springframework:spring-asm🏺3.0.3.RELEASE (compile), org.springframework:spring-aspects🏺3.0.3.RELEASE (compile), org.springframework:spring-beans🏺3.0.3.RELEASE (compile), org.springframework:spring-context🏺3.0.3.RELEASE (compile), org.springframework:spring-context-support🏺3.0.3.RELEASE (compile), org.springframework:spring-core🏺3.0.3.RELEASE (compile), org.springframework:spring-expression🏺3.0.3.RELEASE (compile), org.springframework:spring-jdbc🏺3.0.3.RELEASE (compile), org.springframework:spring-jms🏺3.0.3.RELEASE (compile), org.springframework:spring-orm🏺3.0.3.RELEASE (compile), org.springframework:spring-test🏺3.0.3.RELEASE (compile), org.springframework:spring-tx🏺3.0.3.RELEASE (compile), org.springframework:spring-web🏺3.0.3.RELEASE (compile), org.springframework:spring-webmvc🏺3.0.3.RELEASE (compile), org.apache.xbean:xbean-spring🏺3.7 (compile), org.springmodules:spring-modules-validation🏺0.8 (compile), commons-beanutils:commons-beanutils🏺1.8.3 (compile), commons-collections:commons-collections🏺3.2.1 (compile), org.apache.ws.commons:ws-commons-java5🏺1.0.1 (compile), commons-fileupload:commons-fileupload🏺1.2.2 (compile), commons-io:commons-io🏺2.1 (compile), commons-lang:commons-lang🏺2.6 (compile), commons-logging:commons-logging🏺1.1.1 (compile), commons-pool:commons-pool🏺1.5.4 (compile), commons-digester:commons-digester🏺1.6 (compile), org.apache.httpcomponents:httpclient🏺4.1.2 (compile), org.apache.httpcomponents:httpcore🏺4.1.2 (compile), com.ckeditor:ckeditor-java-core🏺3.5.3 (compile), displaytag:displaytag🏺1.2 (compile), com.h2database:h2🏺1.3.170 (compile), org.apache.cxf:cxf-rt-core🏺2.5.2 (compile), org.apache.cxf:cxf-rt-frontend-simple🏺2.5.2 (compile), org.apache.cxf:cxf-rt-frontend-jaxws🏺2.5.2 (compile), org.apache.cxf:cxf-rt-databinding-aegis🏺2.5.2 (compile), org.apache.cxf:cxf-rt-transports-local🏺2.5.2 (compile), org.apache.cxf:cxf-rt-transports-http🏺2.5.2 (compile), org.apache.cxf:cxf-rt-transports-jms🏺2.5.2 (compile), org.apache.cxf:cxf-rt-management🏺2.5.2 (compile), org.apache.cxf:cxf-common-utilities🏺2.5.2 (compile), org.apache.activemq:activemq-all🏺5.5.1 (compile), org.apache.activemq:activemq🏺1.1 (compile), org.apache.activemq:activemq-camel🏺5.5.1 (compile), org.apache.activemq:activemq-console🏺5.5.1 (compile), org.apache.activemq:activemq-core🏺5.5.1 (compile), org.apache.activemq:activemq-jaas🏺5.5.1 (compile), org.apache.activemq:activemq-protobuf🏺5.5.1 (compile), org.apache.activemq:activemq-web🏺5.5.1 (compile), org.codehaus.jackson:jackson-core-lgpl🏺1.9.0 (compile), org.codehaus.jackson:jackson-mapper-lgpl🏺1.9.0 (compile), org.apache.poi:poi🏺3.8 (compile), org.apache.poi:poi-ooxml🏺3.8-beta4 (compile), org.apache.poi:poi-ooxml-schemas🏺3.8-beta4 (compile), org.apache.poi:poi-scratchpad🏺3.8-beta4 (compile), log4j:log4j🏺1.2.16 (compile), org.slf4j:slf4j-log4j12🏺1.5.11 (compile), org.slf4j:slf4j-nop🏺1.5.11 (compile), org.slf4j:jcl-over-slf4j🏺1.5.11 (compile), org.slf4j:slf4j-api🏺1.5.11 (compile), xml-apis:xml-apis🏺1.3.02 (compile), dom4j:dom4j🏺1.6.1 (compile), com.alibaba:druid🏺0.2.5 (compile), net.sf.ehcache:ehcache-core🏺2.5.0 (compile), commons-httpclient:commons-httpclient🏺3.0.1 (compile), javax.xml.bind:jaxb-api🏺2.2.3 (compile), org.apache.ws.xmlschema:xmlschema-core🏺2.0.1 (compile), com.sun.xml.bind:jaxb-impl🏺2.2.4-1 (compile), javax.transaction:jta🏺1.1 (compile), org.apache.geronimo.specs:geronimo-jpa_1.0_spec🏺1.1.2 (compile), org.apache.santuario:xmlsec🏺1.4.6 (compile), org.apache.pdfbox:pdfbox🏺1.6.0 (compile), net.sf.ezmorph:ezmorph🏺1.0.6 (compile), com.alibaba:fastjson🏺1.1.23 (compile), org.apache.pdfbox:fontbox🏺1.6.0 (compile), jaxen:jaxen🏺1.1.1 (compile), org.apache.lucene:lucene-core🏺3.4.0 (compile), org.apache.lucene:lucene-queries🏺3.4.0 (compile), org.apache.lucene:lucene-highlighter🏺3.4.0 (compile), org.apache.lucene:lucene-memory🏺3.4.0 (compile), javax.mail:mail🏺1.4 (compile), org.mybatis:mybatis🏺3.0.4 (compile), mysql:mysql-connector-java🏺5.1.18 (compile), org.apache.neethi:neethi🏺3.0.1 (compile), org.springframework.ldap:spring-ldap-core🏺1.3.1.RELEASE (compile), org.springframework.ldap:spring-ldap-core-tiger🏺1.3.1.RELEASE (compile), org.springframework.ldap:spring-ldap-odm🏺1.3.1.RELEASE (compile), org.springframework.ldap:spring-ldap-ldif-core🏺1.3.1.RELEASE (compile), org.springframework.security:spring-security-core🏺3.0.3.RELEASE (compile), org.springframework.security:spring-security-config🏺3.0.3.RELEASE (compile), org.springframework.security:spring-security-acl🏺3.0.3.RELEASE (compile), org.springframework.security:spring-security-cas-client🏺3.0.3.RELEASE (compile), org.springframework.security:spring-security-taglibs🏺3.0.3.RELEASE (compile), org.jsoup:jsoup🏺1.7.1 (compile), org.quartz-scheduler:quartz🏺2.1.6 (compile), org.quartz-scheduler:quartz-oracle🏺2.1.6 (compile), commons-validator:commons-validator🏺1.3.1 (compile), com.googlecode.xmemcached:xmemcached🏺1.3.8 (compile), cglib:cglib🏺2.2.2 (compile), org.aspectj:aspectjweaver🏺1.6.11 (compile), org.aspectj:aspectjrt🏺1.6.8 (compile), asm:asm-attrs🏺1.5.3 (compile), asm:asm🏺3.2 (compile), antlr:antlr🏺2.7.6 (compile), net.sf.json-lib:json-lib🏺jdk15:2.4 (compile), org.freemarker:freemarker🏺2.3.18 (compile), org.apache.geronimo.specs:geronimo-javamail_1.4_spec🏺1.7.1 (compile), org.apache.geronimo.specs:geronimo-activation_1.0.2_spec🏺1.1 (compile), org.apache.geronimo.specs:geronimo-annotation_1.0_spec🏺1.0 (compile), org.codehaus.groovy:groovy🏺1.7.5 (compile), javax.servlet:jstl🏺1.2 (runtime), javax.servlet:servlet-api🏺2.5 (provided), javax.servlet.jsp:jsp-api🏺2.1 (provided), junit:junit🏺4.8.1 (test), cn.jpush.api:jpush-client🏺2.3.0 (compile), com.google.code.gson:gson🏺2.2.4 (compile), activation:activation🏺1.1 (compile), commons-email:commons-email🏺1.1 (compile), mail:mail🏺1.1 (compile), IKAnalyzer:IK-Analyzer🏺3.2.8 (compile), org.smslib:smslib🏺3.5.3 (compile), com.sun:jimi🏺1.0 (compile), net.sf:log4jdbc4🏺1.2 (compile), oracle:oracledriver🏺11.2.0.2 (compile), json:org.json🏺1.0 (compile), commons-codec:commons-codec🏺1.6 (compile), com.fr:report-server🏺7.1 (compile), com.fr:report-third🏺7.1 (compile), itext-asian:itext-asian🏺1.0 (compile), itext-xtra:itext-xtra🏺5.2.1 (compile), itextpdf:itextpdf🏺5.2.1 (compile), javassist:javassist🏺1.0 (compile), jtds:jtds🏺1.2.2 (compile), ojdbc:ojdbc14🏺1.0 (compile), proxool:proxool🏺0.9.1 (compile), proxool-cglib:proxool-cglib🏺1.0 (compile), db2:db2🏺1.0 (compile)]: Failed to read artifact descriptor for org.activiti:activiti-engine🏺5.10: Could not transfer artifact org.activiti:activiti-engine:pom:5.10 from/to Activiti (https://maven.alfresco.com/nexus/content/groups/public): Could not generate DH keypair: Prime size must be multiple of 64, and can only range from 512 to 1024 (inclusive) -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException


<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.transh</groupId>
	<artifactId>jintai</artifactId>
	<version>1.0.0</version>
	<packaging>war</packaging>
	<name>jintai</name>
	<!-- 指定依赖版本 -->
	<properties>
		<jstl.version>1.2</jstl.version>
		<servlet-api.version>2.5</servlet-api.version>
		<jsp.version>2.1</jsp.version>
		<junit.version>4.6</junit.version>
		<spring.version>3.0.3.RELEASE</spring.version>
		<activiti.version>5.10</activiti.version>
		<activemq.version>5.5.1</activemq.version>
		<cxf.version>2.5.2</cxf.version>

		<!-- Plugin的属性定义 -->
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	<dependencies>

		<!-- 和原始不对应 -->
		<dependency>
			<groupId>org.rxtx</groupId>
			<artifactId>rxtx</artifactId>
			<version>2.1.7</version>
		</dependency>

		<!-- activiti配置 -->
		<dependency>
			<groupId>org.activiti</groupId>
			<artifactId>activiti-engine</artifactId>
			<version>${activiti.version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-beans</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>commons-email</artifactId>
					<groupId>org.apache.commons</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.activiti</groupId>
			<artifactId>activiti-spring</artifactId>
			<version>${activiti.version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-context</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-jdbc</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-tx</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-test</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework</groupId>
					<artifactId>spring-orm</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-asm</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aspects</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<!-- -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-expression</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jms</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-orm</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>${spring.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<!-- active-mq 依赖 -->
		<dependency>
			<groupId>org.apache.xbean</groupId>
			<artifactId>xbean-spring</artifactId>
			<version>3.7</version>
		</dependency>

		<!-- 这个不确定 -->
		<dependency>
			<groupId>org.springmodules</groupId>
			<artifactId>spring-modules-validation</artifactId>
			<version>0.8</version>
			<exclusions>
				<exclusion>
					<artifactId>spring</artifactId>
					<groupId>org.springframework</groupId>
				</exclusion>
			</exclusions>
		</dependency>


		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.8.3</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<!-- <dependency> -->
		<!-- <groupId>commons-codec</groupId> -->
		<!-- <artifactId>commons-codec</artifactId> -->
		<!-- <version>1.6</version> -->
		<!-- </dependency> -->
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>

		<dependency>
			<groupId>org.apache.ws.commons</groupId>
			<artifactId>ws-commons-java5</artifactId>
			<version>1.0.1</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.2.2</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.1</version>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.6</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>commons-pool</groupId>
			<artifactId>commons-pool</artifactId>
			<version>1.5.4</version>
		</dependency>
		<dependency>
			<groupId>commons-digester</groupId>
			<artifactId>commons-digester</artifactId>
			<version>1.6</version>
		</dependency>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpcore</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>com.ckeditor</groupId>
			<artifactId>ckeditor-java-core</artifactId>
			<version>3.5.3</version>
		</dependency>
		<dependency>
			<groupId>displaytag</groupId>
			<artifactId>displaytag</artifactId>
			<version>1.2</version>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>jcl104-over-slf4j</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<version>1.3.170</version>
		</dependency>

		<!-- cxf start -->
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-core</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-simple</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxws</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-databinding-aegis</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-local</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-jms</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-management</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-common-utilities</artifactId>
			<version>${cxf.version}</version>
		</dependency>
		<!-- activemq -->
		<!-- <dependency> -->
		<!-- <groupId>org.apache.activemq</groupId> -->
		<!-- <artifactId>activemq-core</artifactId> -->
		<!-- <version>${activemq.version}</version> -->
		<!-- <exclusions> -->
		<!-- <exclusion> -->
		<!-- <groupId>org.apache.activemq.protobuf</groupId> -->
		<!-- <artifactId>activemq-protobuf</artifactId> -->
		<!-- </exclusion> -->
		<!-- <exclusion> -->
		<!-- <groupId>org.springframework.osgi</groupId> -->
		<!-- <artifactId>spring-osgi-core</artifactId> -->
		<!-- </exclusion> -->
		<!-- <exclusion> -->
		<!-- <groupId>org.osgi</groupId> -->
		<!-- <artifactId>org.osgi.core</artifactId> -->
		<!-- </exclusion> -->
		<!-- <exclusion> -->
		<!-- <groupId>commons-logging</groupId> -->
		<!-- <artifactId>commons-logging</artifactId> -->
		<!-- </exclusion> -->
		<!-- <exclusion> -->
		<!-- <groupId>org.slf4j</groupId> -->
		<!-- <artifactId>slf4j-api</artifactId> -->
		<!-- </exclusion> -->
		<!-- </exclusions> -->
		<!-- </dependency> -->
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-all</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-camel</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-console</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-core</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-jaas</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-protobuf</artifactId>
			<version>5.5.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.activemq</groupId>
			<artifactId>activemq-web</artifactId>
			<version>5.5.1</version>
		</dependency>
		<!-- END -->
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-core-lgpl</artifactId>
			<version>1.9.0</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-mapper-lgpl</artifactId>
			<version>1.9.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>3.8</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>3.8-beta4</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml-schemas</artifactId>
			<version>3.8-beta4</version>
			<exclusions>
				<exclusion>
					<artifactId>stax-api</artifactId>
					<groupId>stax</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<!-- 这个jar有问题 <dependency> <groupId>org.apache.poi</groupId> <artifactId>poi-excelant</artifactId> 
			<version>3.8</version> </dependency> -->
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-scratchpad</artifactId>
			<version>3.8-beta4</version>
		</dependency>


		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.16</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.5.11</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-nop</artifactId>
			<version>1.5.11</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>jcl-over-slf4j</artifactId>
			<version>1.5.11</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.5.11</version>
		</dependency>
		<dependency>
			<groupId>xml-apis</groupId>
			<artifactId>xml-apis</artifactId>
			<version>1.3.02</version>
		</dependency>

		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<version>1.6.1</version>
			<exclusions>
				<exclusion>
					<artifactId>xml-apis</artifactId>
					<groupId>xml-apis</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<version>0.2.5</version>
		</dependency>
		<dependency>
			<groupId>net.sf.ehcache</groupId>
			<artifactId>ehcache-core</artifactId>
			<version>2.5.0</version>
		</dependency>
		<!-- 安全组件,可防止xss攻击等 
		<dependency>
			<groupId>org.owasp.esapi</groupId>
			<artifactId>esapi</artifactId>
			<version>2.0.1</version>
			<exclusions>
				<exclusion>
					<artifactId>commons-beanutils-core</artifactId>
					<groupId>commons-beanutils</groupId>
				</exclusion>
				<exclusion>
					<artifactId>commons-httpclient</artifactId>
					<groupId>commons-httpclient</groupId>
				</exclusion>
			</exclusions>
		</dependency>-->
		<dependency>
             <groupId>commons-httpclient</groupId>
             <artifactId>commons-httpclient</artifactId>
             <version>3.0.1</version>
         </dependency> 
		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api</artifactId>
			<version>2.2.3</version>
		</dependency>
		<dependency>
			<groupId>org.apache.ws.xmlschema</groupId>
			<artifactId>xmlschema-core</artifactId>
			<version>2.0.1</version>
		</dependency>
		<dependency>
			<groupId>com.sun.xml.bind</groupId>
			<artifactId>jaxb-impl</artifactId>
			<version>2.2.4-1</version>
		</dependency>

		<dependency>
			<groupId>javax.transaction</groupId>
			<artifactId>jta</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.geronimo.specs</groupId>
			<artifactId>geronimo-jpa_1.0_spec</artifactId>
			<version>1.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.santuario</groupId>
			<artifactId>xmlsec</artifactId>
			<version>1.4.6</version>
		</dependency>
		<dependency>
			<groupId>org.apache.pdfbox</groupId>
			<artifactId>pdfbox</artifactId>
			<version>1.6.0</version>
		</dependency>
		<dependency>
			<groupId>net.sf.ezmorph</groupId>
			<artifactId>ezmorph</artifactId>
			<version>1.0.6</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.1.23</version>
		</dependency>
		<dependency>
			<groupId>org.apache.pdfbox</groupId>
			<artifactId>fontbox</artifactId>
			<version>1.6.0</version>
		</dependency>

		<dependency>
			<groupId>jaxen</groupId>
			<artifactId>jaxen</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-core</artifactId>
			<version>3.4.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-queries</artifactId>
			<version>3.4.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-highlighter</artifactId>
			<version>3.4.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-memory</artifactId>
			<version>3.4.0</version>
		</dependency>
		<dependency>
			<groupId>javax.mail</groupId>
			<artifactId>mail</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>org.mybatis</groupId>
			<artifactId>mybatis</artifactId>
			<version>3.0.4</version>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.18</version>
		</dependency>
		<dependency>
			<groupId>org.apache.neethi</groupId>
			<artifactId>neethi</artifactId>
			<version>3.0.1</version>
		</dependency>

		<!-- spring ldap -->

		<dependency>
			<groupId>org.springframework.ldap</groupId>
			<artifactId>spring-ldap-core</artifactId>
			<version>1.3.1.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.ldap</groupId>
			<artifactId>spring-ldap-core-tiger</artifactId>
			<version>1.3.1.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.ldap</groupId>
			<artifactId>spring-ldap-odm</artifactId>
			<version>1.3.1.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.ldap</groupId>
			<artifactId>spring-ldap-ldif-core</artifactId>
			<version>1.3.1.RELEASE</version>
		</dependency>
		<!-- <dependency> <groupId>org.springframework.ldap</groupId> <artifactId>spring-ldap-ldif-batch</artifactId> 
			<version>1.3.1.RELEASE</version> </dependency> -->
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-core</artifactId>
			<version>3.0.3.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-config</artifactId>
			<version>3.0.3.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-acl</artifactId>
			<version>3.0.3.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-cas-client</artifactId>
			<version>3.0.3.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-taglibs</artifactId>
			<version>3.0.3.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.jsoup</groupId>
			<artifactId>jsoup</artifactId>
			<version>1.7.1</version>
		</dependency>
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz</artifactId>
			<version>2.1.6</version>
		</dependency>
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz-oracle</artifactId>
			<version>2.1.6</version>
		</dependency>
		<dependency>
			<groupId>commons-validator</groupId>
			<artifactId>commons-validator</artifactId>
			<version>1.3.1</version>
		</dependency>
		<dependency>
			<groupId>com.googlecode.xmemcached</groupId>
			<artifactId>xmemcached</artifactId>
			<version>1.3.8</version>
		</dependency>
		<dependency>
			<groupId>com.googlecode.xmemcached</groupId>
			<artifactId>xmemcached</artifactId>
			<version>1.3.8</version>
		</dependency>
		<dependency>
			<groupId>cglib</groupId>
			<artifactId>cglib</artifactId>
			<version>2.2.2</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjweaver</artifactId>
			<version>1.6.11</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjrt</artifactId>
			<version>1.6.8</version>
		</dependency>
		<dependency>
			<groupId>asm</groupId>
			<artifactId>asm-attrs</artifactId>
			<version>1.5.3</version>
		</dependency>
		<dependency>
			<groupId>asm</groupId>
			<artifactId>asm</artifactId>
			<version>3.2</version>
		</dependency>

		<dependency>
			<groupId>antlr</groupId>
			<artifactId>antlr</artifactId>
			<version>2.7.6</version>
		</dependency>

		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
		</dependency>

		<dependency>
			<groupId>org.freemarker</groupId>
			<artifactId>freemarker</artifactId>
			<version>2.3.18</version>
		</dependency>
		<dependency>
			<groupId>org.apache.geronimo.specs</groupId>
			<artifactId>geronimo-javamail_1.4_spec</artifactId>
			<version>1.7.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.geronimo.specs</groupId>
			<artifactId>geronimo-activation_1.0.2_spec</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.geronimo.specs</groupId>
			<artifactId>geronimo-annotation_1.0_spec</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.groovy</groupId>
			<artifactId>groovy</artifactId>
			<version>1.7.5</version>
		</dependency>

		<!-- Runtime dependencies -->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>${jstl.version}</version>
			<scope>runtime</scope>
		</dependency>
		<!-- Container-provided dependencies -->
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>${servlet-api.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<version>${jsp.version}</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.1</version>
			<scope>test</scope>
		</dependency>
		<!-- JPush -->
		<dependency>
			<groupId>cn.jpush.api</groupId>
			<artifactId>jpush-client</artifactId>
			<version>2.3.0</version>
		</dependency>
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>2.2.4</version>
		</dependency>
		<!-- java mail -->
		<dependency>
			<groupId>activation</groupId>
			<artifactId>activation</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>commons-email</groupId>
			<artifactId>commons-email</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>mail</groupId>
			<artifactId>mail</artifactId>
			<version>1.1</version>
		</dependency>
		<!-- java mail -->
		<!-- 本地jar -->
		<dependency>
			<groupId>IKAnalyzer</groupId>
			<artifactId>IK-Analyzer</artifactId>
			<version>3.2.8</version>
		</dependency>
		<dependency>
			<groupId>org.smslib</groupId>
			<artifactId>smslib</artifactId>
			<version>3.5.3</version>
		</dependency>
		<dependency>
			<groupId>com.sun</groupId>
			<artifactId>jimi</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>net.sf</groupId>
			<artifactId>log4jdbc4</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>oracle</groupId>
			<artifactId>oracledriver</artifactId>
			<version>11.2.0.2</version>
		</dependency>
		<dependency>
			<groupId>json</groupId>
			<artifactId>org.json</artifactId>
			<version>1.0</version>
		</dependency>

		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>1.6</version>
		</dependency>
		<!-- 报表部分 -->
		<dependency>
			<groupId>com.fr</groupId>
			<artifactId>report-server</artifactId>
			<version>7.1</version>
		</dependency>
		<dependency>
			<groupId>com.fr</groupId>
			<artifactId>report-third</artifactId>
			<version>7.1</version>
		</dependency>
		<!-- wabacus集成 -->
		<dependency>
			<groupId>itext-asian</groupId>
			<artifactId>itext-asian</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>itext-xtra</groupId>
			<artifactId>itext-xtra</artifactId>
			<version>5.2.1</version>
		</dependency>
		<dependency>
			<groupId>itextpdf</groupId>
			<artifactId>itextpdf</artifactId>
			<version>5.2.1</version>
		</dependency>
		<dependency>
			<groupId>javassist</groupId>
			<artifactId>javassist</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>jtds</groupId>
			<artifactId>jtds</artifactId>
			<version>1.2.2</version>
		</dependency>
		<dependency>
			<groupId>ojdbc</groupId>
			<artifactId>ojdbc14</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>proxool</groupId>
			<artifactId>proxool</artifactId>
			<version>0.9.1</version>
		</dependency>
		<dependency>
			<groupId>proxool-cglib</groupId>
			<artifactId>proxool-cglib</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>db2</groupId>
			<artifactId>db2</artifactId>
			<version>1.0</version>
		</dependency>
		<!-- <dependency> -->
		<!-- <groupId>wabacus</groupId> -->
		<!-- <artifactId>wabacus</artifactId> -->
		<!-- <version>4.2</version> -->
		<!-- <scope>system</scope> -->
		<!-- <systemPath>E:\workBase\pule/src/main/webapp/WEB-INF/lib/wabacus-4.2.jar</systemPath> -->
		<!-- </dependency> -->
		<!--<dependency>
			<groupId>com.qq</groupId>
			<artifactId>qqConnect_Server</artifactId>
			<version>2.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/Sdk4J.jar</systemPath>
		</dependency>-->
	</dependencies>

	<repositories>
		<repository>
			<id>Activiti</id>
			<url>https://maven.alfresco.com/nexus/content/groups/public</url>
		</repository>
		<repository>
			<id>Codehaus</id>
			<url>http://repository.codehaus.org</url>
		</repository>
		<repository>
			<id>apache.snapshots</id>
			<url>http://repository.apache.org/snapshots/</url>
			<name>Apache Snapshot Repo</name>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>false</enabled>
			</releases>
		</repository>
		<repository>
			<id>spring-release</id>
			<url>http://maven.springframework.org/release</url>
		</repository>
	</repositories>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.xml</include>
					<include>*.properties</include>
					<include>*.xml</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				
				<version>2.3.2</version>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>

			<!-- tomcat 插件 -->
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>tomcat-maven-plugin</artifactId>
				
<!-- 				<configuration>  -->
<!-- 				    <port>5158</port>  -->
<!-- 				    <uriEncoding>UTF-8</uriEncoding>  -->
<!-- 				    <path>/pule</path>  -->
<!-- 				</configuration>  -->
				
			</plugin>
			<!-- Jetty 插件 <plugin> <groupId>org.mortbay.jetty</groupId> <artifactId>maven-jetty-plugin</artifactId> 
				<version>6.1.16</version> </plugin> -->
			<!-- javadoc 插件 <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-javadoc-plugin</artifactId> 
				<version>2.7</version> <executions> <execution> <id>attach-javadocs</id> 
				<goals> <goal>jar</goal> </goals> </execution> </executions> </plugin> -->
			<!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-war-plugin</artifactId> 
				<version>2.2</version> <configuration> <warName>ROOT</warName> <webResources> 
				<resource> <directory>src\main\resources</directory> <targetPath>WEB-INF\classes</targetPath> 
				<includes> <include>**</include> </includes> </resource> </webResources> 
				</configuration> </plugin> -->
			<!-- assembly插件 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<warSourceExcludes>WEB-INF\classes</warSourceExcludes>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>




加载中
0
buglife
buglife
Failed to collect dependencies for [org.rxtx:rxtx:jar:2.1.7 (compile),    这不都告诉你了
0
JacarriChan
JacarriChan

mvn  compile -U 强制更新下。

可能是因为网络不到,导致元数据读取失败了

返回顶部
顶部